* [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh
@ 2008-01-04 20:01 jbrassow
0 siblings, 0 replies; 3+ messages in thread
From: jbrassow @ 2008-01-04 20:01 UTC (permalink / raw)
To: cluster-devel.redhat.com
CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL4
Changes by: jbrassow at sourceware.org 2008-01-04 20:01:50
Modified files:
rgmanager/src/resources: lvm_by_lv.sh
Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&only_with_tag=RHEL4&r1=1.1.2.1&r2=1.1.2.2
--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 20:35:39 1.1.2.1
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:01:50 1.1.2.2
@@ -314,6 +314,18 @@
function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
^ permalink raw reply [flat|nested] 3+ messages in thread
* [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh
@ 2008-01-04 20:02 jbrassow
0 siblings, 0 replies; 3+ messages in thread
From: jbrassow @ 2008-01-04 20:02 UTC (permalink / raw)
To: cluster-devel.redhat.com
CVSROOT: /cvs/cluster
Module name: cluster
Changes by: jbrassow at sourceware.org 2008-01-04 20:02:20
Modified files:
rgmanager/src/resources: lvm_by_lv.sh
Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&r1=1.2&r2=1.3
--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 21:02:53 1.2
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:02:20 1.3
@@ -314,6 +314,18 @@
function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
^ permalink raw reply [flat|nested] 3+ messages in thread
* [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh
@ 2008-01-04 20:02 jbrassow
0 siblings, 0 replies; 3+ messages in thread
From: jbrassow @ 2008-01-04 20:02 UTC (permalink / raw)
To: cluster-devel.redhat.com
CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: jbrassow at sourceware.org 2008-01-04 20:02:50
Modified files:
rgmanager/src/resources: lvm_by_lv.sh
Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.1.4.1&r2=1.1.4.2
--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 20:45:37 1.1.4.1
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:02:50 1.1.4.2
@@ -314,6 +314,18 @@
function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2008-01-04 20:02 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-01-04 20:01 [Cluster-devel] cluster/rgmanager/src/resources lvm_by_lv.sh jbrassow
-- strict thread matches above, loose matches on Subject: below --
2008-01-04 20:02 jbrassow
2008-01-04 20:02 jbrassow
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.